## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.10.0
%bcond_without check
%bcond_with bootstrap
%global debug_package %{nil}

%if %{with bootstrap}
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^golang\\(.*\\)$
%endif

# https://github.com/GoogleCloudPlatform/google-cloud-go
%global goipath         cloud.google.com/go
%global forgeurl        https://github.com/GoogleCloudPlatform/google-cloud-go
Version:                0.110.9
%global distprefix      %{nil}

%gometa

%global common_description %{expand:
Google Cloud Client Libraries for Go.}

%global golicenses      LICENSE
%global godocs          CHANGES.md CODE_OF_CONDUCT.md CONTRIBUTING.md\\\
                        README.md RELEASING.md SECURITY.md testing.md

Name:           %{goname}
Release:        %autorelease
Summary:        Google Cloud Client Libraries for Go

License:        Apache-2.0 AND BSD-3-Clause
URL:            %{gourl}
Source:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep
%autopatch -p1

find . ! \( -name internal -o -name civil -o -name "*.md" -o -name LICENSE -o -name _build \) -maxdepth 1 -exec rm -rf {} \;
# Remove modules requiring extra deps
rm -rf internal/postprocessor internal/gapicgen

%if %{without bootstrap}
%generate_buildrequires
%go_generate_buildrequires
%endif

%install
%gopkginstall

%if %{without bootstrap}
%if %{with check}
%check
%ifarch i686
for test in "TestTimestamp" \
; do
awk -i inplace '/^func.*'"$test"'\(/ { print; print "\tt.Skip(\"disabled failing test\")"; next}1' $(grep -rl $test)
done
%endif
for test in "TestRetryPreserveError" "TestGolden" \
; do
awk -i inplace '/^func.*'"$test"'\(/ { print; print "\tt.Skip(\"disabled failing test\")"; next}1' $(grep -rl $test)
done
%gocheck -d cloud.google.com/go/internal/godocfx -d cloud.google.com/go/internal/postprocessor
%endif
%endif

%gopkgfiles

%changelog
## START: Generated by rpmautospec
* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.110.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.110.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Nov 20 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 0.110.9-2
- Disable bootstrap mode

* Mon Nov 20 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 0.110.9-1
- Split into different modules - Closes rhbz#2239903 rhbz#2250103
  rhbz#2238984 rhbz#2238620 rhbz#2238618 rhbz#2225836

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.103.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jul 13 2023 Major Hayden <major@redhat.com> - 0.103.0-11
- Add packit config

* Sat Jun 17 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 0.103.0-10
- Unbootstrap

* Sat Jun 17 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 0.103.0-9
- Bootstrap golang-cloud-google after unretirement

* Fri Jun 16 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 0.103.0-8
- Skip a test requiring credentials - Closes rhbz#2114530

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.82.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jun  8 18:05:50 CEST 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.82.0-2
- Fix github.com/google/go-github import path

* Mon May 24 20:57:45 CEST 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.82.0-1
- Update to 0.82.0
- Close: rhbz#1924392

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.75.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Jan 14 21:22:26 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.75.0-1
- Update to 0.75.0
- Close: rhbz#1915169

* Sun Dec 27 12:58:42 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.74.0-1
- Update to 0.74.0
- Close: rhbz#1906846

* Fri Sep 04 20:06:46 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.73.0-1
- Update to 0.73.0
- Close: rhbz#1879310

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.52.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jan 29 16:18:11 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.52.0-1
- Update to 0.52.0
- Disable profiler test until fix by upstream

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.51.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Jan 13 17:45:56 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.51.0-1
- Update to 0.51.0

* Sat Dec 28 22:05:56 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.50.0-2
- Bootstrap storage

* Sat Dec 28 15:36:09 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.50.0-1
- Update to 0.50.0

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.37.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Jul 05 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.37.4-2
- Add Obsoletes for old name

* Tue Apr 23 09:48:52 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.37.4-1
- Release 0.37.4

* Sat Mar 09 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.36.0-4
- Unbootstrap

* Mon Feb 25 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.36.0-3
- Bootstrap 2

* Mon Feb 25 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.36.0-2
- Bootstrap

* Mon Feb 25 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.36.0-1
- Update to release v0.36.0

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.31.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Oct 25 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0.31.0-1
- Update to release v0.31.0

* Tue Oct 23 2018 Nicolas Mailhot <nim@fedoraproject.org> - 0.21.0-3
- redhat-rpm-config-123 triggers bugs in gosetup, remove it from Go spec files as it’s just an alias
- https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/RWD5YATAYAFWKIDZBB7EB6N5DAO4ZKFM/

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.21.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed May 09 2018 Jan Chaloupka <jchaloup@redhat.com> - 0.21.0-1
- Update to v0.21.0
  Change import path prefix to cloud.google.com/go
  resolves: #1558755

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.14.git872c736
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.13.git872c736
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.12.git872c736
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.11.git872c736
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Dec 16 2016 Jan Chaloupka <jchaloup@redhat.com> - 0-0.10.git872c736
- Bump to upstream 872c736f496c2ba12786bedbb8325576bbdb33cf
  related: #1246239

* Thu Dec 15 2016 Jan Chaloupka <jchaloup@redhat.com> - 0-0.9.git2400193
- Polish the spec file
  related: #1246239

* Thu Jul 21 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.8.git2400193
- https://fedoraproject.org/wiki/Changes/golang1.7

* Sun Mar 06 2016 jchaloup <jchaloup@redhat.com> - 0-0.7.git2400193
- Bump to upstream 2400193c85c3561d13880d34e0e10c4315bb02af
  related: #1246239

* Mon Feb 22 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.6.git95c332f
- https://fedoraproject.org/wiki/Changes/golang1.6

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.5.git95c332f
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Aug 20 2015 jchaloup <jchaloup@redhat.com> - 0-0.4.git95c332f
- Update spec file to spec-2.0
  related: #1246239

* Thu Jul 23 2015 jchaloup <jchaloup@redhat.com> - 0-0.3.git95c332f
- Bump to upstream 95c332f94e6766fa122231c0a95ddf15ac26bf70
  resolves: #1246239

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.2.git2e43671
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jan 22 2015 jchaloup <jchaloup@redhat.com> - 0-0.1.git1c3fdc5
- First package for Fedora
  resolves: #1185281

## END: Generated by rpmautospec
